---
title: "Handles HEAD requests to `/get`."
url: "https://developer.rucho.org/apis/rucho/versions/5bdf1bcb-8db4-40f1-a293-72c7198e26c8/operations/head_handler"
---

> Full API specification: https://developer.rucho.org/apis/rucho/versions/5bdf1bcb-8db4-40f1-a293-72c7198e26c8.md

# Handles HEAD requests to `/get`.

`HEAD` `/get`

Operation ID: `head_handler`

Responds with the same headers as a GET request to `/get`, but with no body. This is typically used to check if a resource exists or to get its metadata without transferring the entire content. # HTTP Method: - `HEAD` # Responses: - `200 OK`: Returns an empty body with appropriate headers.

## Responses

- `200` - Responds with headers for GET query

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: rucho
  version: 1.6.0
servers:
  - url: https://rucho.org
    description: Production (EKS us-east-2, behind Kong)
paths:
  /get:
    head:
      tags:
        - crate::routes::core_routes
      summary: Handles HEAD requests to `/get`.
      description: >-
        Responds with the same headers as a GET request to `/get`, but with no
        body.

        This is typically used to check if a resource exists or to get its
        metadata

        without transferring the entire content.


        # HTTP Method:

        - `HEAD`


        # Responses:

        - `200 OK`: Returns an empty body with appropriate headers.
      operationId: head_handler
      responses:
        "200":
          description: Responds with headers for GET query
```
